% This code computes the log prior density (assuming independent priors) in the Bayesian 
% estimation of the "encompassing model" in Chang and Fernandez (2010)
% On the Sources of Aggregate Fluctuations in Emerging Economies. NBER WP 15938. April, 2010. 

function lp=logprcalc(MAT)

% log prior for RHOa
lpi(1)=log(betapdf(MAT(1,1),MAT(1,2),MAT(1,3)));
% log prior for RHOg
lpi(2)=log(betapdf(MAT(2,1),MAT(2,2),MAT(2,3)));
% log prior for RHOr
lpi(3)=log(betapdf(MAT(3,1),MAT(3,2),MAT(3,3)));
% log prior for TETA
lpi(4)=log(betapdf(MAT(4,1),MAT(4,2),MAT(4,3)));
% log prior for SIGMA_a
lpi(5)=log(gampdf(MAT(5,1),MAT(5,2),MAT(5,3)));
% log prior for SIGMA_g
lpi(6)=log(gampdf(MAT(6,1),MAT(6,2),MAT(6,3)));
% log prior for SIGMA_r
lpi(7)=log(gampdf(MAT(7,1),MAT(7,2),MAT(7,3)));
% log prior for ETA
lpi(8)=log(gampdf(MAT(8,1),MAT(8,2),MAT(8,3)));
% log prior for PHI
lpi(9)=log(gampdf(MAT(9,1),MAT(9,2),MAT(9,3)));
% log prior for SIGMA_Y
lpi(10)=log(gampdf(MAT(10,1),MAT(10,2),MAT(10,3)));
% log prior for SIGMA_C
lpi(11)=log(gampdf(MAT(11,1),MAT(11,2),MAT(11,3)));
% log prior for SIGMA_I
lpi(12)=log(gampdf(MAT(12,1),MAT(12,2),MAT(12,3)));
% log prior for SIGMA_NX
lpi(13)=log(gampdf(MAT(13,1),MAT(13,2),MAT(13,3)));

lp=sum(lpi); 
